E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
gstatemachine.h File Reference
`#include "gdef.h"`
`#include "gexception.h"`
`#include <map>`

Go to the source code of this file.

## Classes
class | G::StateMachine< T, State, Event, Arg >
| A finite state machine class template. More...

## Namespaces
| G
| Low-level classes.

## Functions
| G::G_EXCEPTION_CLASS (StateMachine_Error,"invalid state machine transition")